> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Interactセッション一覧の取得

> スタンドアロンのInteractセッションを取得し、必要に応じてステータスでフィルタリングできます。

<div id="headers">
  ## ヘッダー
</div>

| ヘッダー            | 値                  |
| --------------- | ------------------ |
| `Authorization` | `Bearer <API_KEY>` |

<div id="query-parameters">
  ## クエリパラメーター
</div>

| パラメーター   | 型      | 必須  | 説明                                                  |
| -------- | ------ | --- | --------------------------------------------------- |
| `status` | string | いいえ | セッションのステータスでフィルタリングします：`"active"` または `"destroyed"` |

<div id="response">
  ## レスポンス
</div>

| フィールド      | 型       | 説明              |
| ---------- | ------- | --------------- |
| `success`  | boolean | リクエストが成功したかどうか  |
| `sessions` | array   | セッションオブジェクトのリスト |

<div id="session-object">
  ### セッションオブジェクト
</div>

| Field                    | Type   | Description                               |
| ------------------------ | ------ | ----------------------------------------- |
| `id`                     | string | 一意のセッション ID                               |
| `status`                 | string | 現在のセッションの状態（`"active"` または `"destroyed"`） |
| `cdpUrl`                 | string | CDP 接続用の WebSocket URL                    |
| `liveViewUrl`            | string | セッションをリアルタイムでモニタリングするための URL              |
| `interactiveLiveViewUrl` | string | セッションをリアルタイムで操作するための URL（クリック、入力、スクロール）   |
| `createdAt`              | string | セッション作成日時の ISO 8601 形式タイムスタンプ             |
| `lastActivity`           | string | 最終アクティビティ日時の ISO 8601 形式タイムスタンプ           |

<div id="example-request">
  ### リクエスト例
</div>

```bash theme={null}
curl -X GET "https://api.firecrawl.dev/v2/interact?status=active" \
  -H "Authorization: Bearer $FIRECRAWL_API_KEY"
```

<div id="example-response">
  ### レスポンスの例
</div>

```json theme={null}
{
  "success": true,
  "sessions": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "status": "active",
      "cdpUrl": "wss://cdp-proxy.firecrawl.dev/cdp/550e8400-e29b-41d4-a716-446655440000",
      "liveViewUrl": "https://liveview.firecrawl.dev/550e8400-e29b-41d4-a716-446655440000",
      "interactiveLiveViewUrl": "https://liveview.firecrawl.dev/550e8400-e29b-41d4-a716-446655440000?interactive=true",
      "createdAt": "2025-06-01T12:00:00Z",
      "lastActivity": "2025-06-01T12:05:30Z"
    }
  ]
}
```

> Firecrawl API key が必要な AI agent の場合は、自動オンボーディング手順について [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) を参照してください。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json GET /interact
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /interact:
    get:
      tags:
        - Interact
      summary: Interactセッションの一覧を取得
      operationId: listBrowserSessions
      parameters:
        - description: statusでセッションを絞り込む
          in: query
          name: status
          required: false
          schema:
            enum:
              - active
              - destroyed
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  sessions:
                    items:
                      properties:
                        cdpUrl:
                          type: string
                        createdAt:
                          format: date-time
                          type: string
                        id:
                          type: string
                        interactiveLiveViewUrl:
                          description: Interactセッションをリアルタイムで操作するためのURL（クリック、入力、スクロール）
                          type: string
                        lastActivity:
                          format: date-time
                          type: string
                        liveViewUrl:
                          type: string
                        status:
                          enum:
                            - active
                            - destroyed
                          type: string
                        streamWebView:
                          type: boolean
                      type: object
                    type: array
                  success:
                    type: boolean
                type: object
          description: Interactセッションの一覧
        '402':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Payment required to access this resource.
                    type: string
                type: object
          description: 支払いが必要です
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````